ScrollMode (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate
Enum ScrollMode

    java.lang.Object
      java.lang.Enum<ScrollMode>
          org.hibernate.ScrollMode

All Implemented Interfaces:
  Serializable, Comparable<ScrollMode>

    public enum ScrollMode

extends Enum<ScrollMode>

Specifies the type of JDBC scrollable result set to use underneath a `ScrollableResults`

See Also:
  `Query.scroll(ScrollMode)`, `ScrollableResults`

Enum Constant Summary
`FORWARD_ONLY`
`SCROLL_INSENSITIVE` Note that since the Hibernate session acts as a cache, you might need to expicitly evict objects, if you need to see changes made by other transactions.
`SCROLL_SENSITIVE`

Method Summary
`boolean` | `lessThan(ScrollMode other)`
`int` | `toResultSetType()`
`static ScrollMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScrollMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORWARD_ONLY

    public static final ScrollMode FORWARD_ONLY

See Also:
  `ResultSet.TYPE_FORWARD_ONLY`

### SCROLL_SENSITIVE

    public static final ScrollMode SCROLL_SENSITIVE

See Also:
  `ResultSet.TYPE_SCROLL_SENSITIVE`

### SCROLL_INSENSITIVE

    public static final ScrollMode SCROLL_INSENSITIVE

  Note that since the Hibernate session acts as a cache, you might need to expicitly evict objects, if you need to see changes made by other transactions.

  See Also:
    `ResultSet.TYPE_SCROLL_INSENSITIVE`

Method Detail

### values

    public static ScrollMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScrollMode c : ScrollMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScrollMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toResultSetType

    public int toResultSetType()

  Returns:
    the JDBC result set type code

### lessThan

    public boolean lessThan(ScrollMode other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.